import request from '@/utils/request';

/**
 * 查询季度任务列表
 */
export function listQuarterlyTask(query) {
  return request({
    url: '/customer/quarterlyTask/list',
    method: 'get',
    params: query
  });
}

/**
 * 查询季度任务详细
 */
export function getQuarterlyTask(id) {
  return request({
    url: '/customer/quarterlyTask/' + id,
    method: 'get'
  });
}

/**
 * 新增季度任务
 */
export function addQuarterlyTask(data) {
  return request({
    url: '/customer/quarterlyTask',
    method: 'post',
    data: data
  });
}

/**
 * 修改季度任务
 */
export function updateQuarterlyTask(data) {
  return request({
    url: '/customer/quarterlyTask',
    method: 'put',
    data: data
  });
}

/**
 * 删除季度任务
 */
export function delQuarterlyTask(id) {
  return request({
    url: '/customer/quarterlyTask/' + id,
    method: 'delete'
  });
}
